Create a new zoom oauth connection
After being created, the zoom oauth connection will be used to generate tokens for the user.
Headers
- Type: string
Authorization requiredAPI key for authentication
- Type: string
Content - Type requiredShould always be application/json
Body
required
application/json
- Type: stringmin length:1required
The authorization code received from Zoom during the OAuth flow
- Type: string
redirect _uri min length:1requiredThe redirect URI used to obtain the authorization code
- Type: boolean
is _local _recording _token _supported Whether the Zoom OAuth Connection supports generating local recording tokens
- Type: boolean
is _onbehalf _token _supported Whether the Zoom OAuth Connection supports generating onbehalf tokens
metadata JSON object containing metadata to associate with the Zoom OAuth Connection
- Type: string
zoom _oauth _app _id min length:1The Zoom Oauth App the connection is for
Responses
- application/json
400 Invalid input
Request Example for post/api/v1/zoom_oauth_connections
curl https://app.attendee.dev/api/v1/zoom_oauth_connections \
--request POST \
--header 'Authorization: Token YOUR_API_KEY_HERE' \
--header 'Content-Type: application/json' \
--data '{
"zoom_oauth_app_id": "",
"authorization_code": "",
"redirect_uri": "",
"is_local_recording_token_supported": true,
"is_onbehalf_token_supported": false,
"metadata": null
}'
{
"id": "zoc_abcdef1234567890",
"zoom_oauth_app": "zoa_abcdef1234567890",
"state": "connected",
"metadata": {
"tenant_id": "1234567890"
},
"user_id": "user_abcdef1234567890",
"account_id": "account_abcdef1234567890",
"connection_failure_data": null,
"created_at": "2025-01-13T10:30:00.123456Z",
"updated_at": "2025-01-13T10:30:00.123456Z"
}